Skip to main content
`Ctrl`+`K`

# PetscCommGetNewTag

Gets a unique new tag from a PETSc communicator

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommGetNewTag(MPI_Comm comm, PetscMPIInt *tag)

Collective

## Input Parameter

- comm - the MPI communicator

## Output Parameter

- tag - the new tag

## Notes

All processors that share the communicator MUST call this routine EXACTLY the same number of times. This tag should only be used with the current objects communicator; do NOT use it with any other MPI communicator.

## See Also

`PetscObjectGetNewTag()`, `PetscCommDuplicate()`

## Level

developer

## Location

src/sys/objects/tagm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages